"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useClickOutside = void 0;
const react_1 = require("react");
function useClickOutside(refs, callback = () => { }) {
    const handleClickOutside = (0, react_1.useCallback)((event) => {
        const clickedOutside = refs.every(ref => {
            return ref.current && !ref.current.contains(event.target);
        });
        callback(clickedOutside);
    }, [refs, callback]);
    (0, react_1.useEffect)(() => {
        document.addEventListener('click', handleClickOutside);
        return () => {
            document.removeEventListener('click', handleClickOutside);
        };
    }, [handleClickOutside]);
}
exports.useClickOutside = useClickOutside;
